VirtualBox

Changeset 24537 in vbox


Ignore:
Timestamp:
Nov 10, 2009 11:48:35 AM (15 years ago)
Author:
vboxsync
Message:

Additions/linux/installer: more fixes

Location:
trunk/src/VBox/Additions/linux
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • trunk/src/VBox/Additions/linux/Makefile.kmk

    r24492 r24537  
    143143VBOX_ADD_KMOD.linux = \
    144144        vboxvfs \
    145         vboxvideo_drm
     145        vboxvideo
    146146
    147147VBOX_ADD_INIT.linux = \
     
    438438        $(QUIET)$(VBOX_MAKESELF) --nocomp $(VBOX_LNX_ADD_INST_STAGE_DIR) $@ \
    439439                "VirtualBox $(VBOX_VERSION_STRING) Guest Additions for Linux" \
    440                 /bin/sh ./install.sh "> /dev/null"
    441 
     440                /bin/sh ./install.sh "\$$0 1> /dev/null"
     441
  • trunk/src/VBox/Additions/linux/drm/Makefile.kmk

    r24376 r24537  
    3535include $(PATH_SUB_CURRENT)/files_vboxvideo_drm
    3636
    37 vboxvideo_drm-mod_INST        = $(INST_ADDITIONS)src/vboxvideo_drm/
     37vboxvideo_drm-mod_INST        = $(INST_ADDITIONS)src/vboxvideo/
    3838vboxvideo_drm-mod_MODE        = a+r,u+w
    3939vboxvideo_drm-mod_SOURCES     = $(subst ",,$(FILES_VBOXVIDEO_DRM_NOBIN))
     
    4242vboxvideo_drm-mod_CLEAN      += $(PATH_vboxvideo_drm-mod)/dkms.conf
    4343
    44 vboxvideo_drm-sh_INST        = $(INST_ADDITIONS)src/vboxvideo_drm/
     44vboxvideo_drm-sh_INST        = $(INST_ADDITIONS)src/vboxvideo/
    4545vboxvideo_drm-sh_MODE        = a+rx,u+w
    4646vboxvideo_drm-sh_SOURCES     = $(subst ",,$(FILES_VBOXVIDEO_DRM_BIN))
  • trunk/src/VBox/Additions/linux/installer/vboxadd-service.sh

    r24486 r24537  
    239239binary=/usr/sbin/VBoxService
    240240
    241 test -x "$binary" || {
    242     echo "Cannot run $binary"
    243     exit 1
     241testbinary() {
     242    test -x "$binary" || {
     243        echo "Cannot run $binary"
     244        exit 1
     245    }
    244246}
    245247
     
    255257            exit 1
    256258        }
     259        testbinary
    257260        daemon $binary
    258261        RETVAL=$?
  • trunk/src/VBox/Additions/linux/installer/vboxadd.sh

    r24532 r24537  
    395395            version=`echo "$line" | sed "s/$mod,\([^,]*\)[,:].*/\1/;t;d"`
    396396            echo "  removing module $mod version $version"
    397             $DKMS remove -m $mod -v $version --all >/dev/null
     397            $DKMS remove -m $mod -v $version --all 1>&2
    398398          fi
    399399        done
Note: See TracChangeset for help on using the changeset viewer.

© 2024 Oracle Support Privacy / Do Not Sell My Info Terms of Use Trademark Policy Automated Access Etiquette